﻿.index-banner-box{
    width: 100%;
    display: block;
    position: relative;
    white-space: nowrap
}
.index-banner-box,
.index-banner-list,
.index-video-box,
.index-video,
.index-video-bg{
}
.index-banner-list-box{
 
    display: block;
    position: relative;
    height: 100vh;
    overflow: hidden;
    transition: all .4s linear;
}

.index-banner-list-overhidden{
    width: calc(100% / 6);
    height: 100%;
    display: inline-block;
    overflow: hidden;
    position: relative;
}

.index-banner-list.enter {
    opacity: 1;
}
.index-banner-list{
    padding-top: 67px;
    height: calc(100vh - 67px);
    position: absolute;
    top: 0;
    opacity: 0;
    width: 100%;
    overflow: hidden;
}
.index-banner-list.current + .index-banner-list{
    opacity: 1;
    z-index: 3;
}
.index-banner-list.current {
    left: 0;
    opacity: 1;
    z-index: 4;
}
.index-banner-list.current2{
    z-index: 3;
    opacity: 1;
}
.index-banner-list.first{
    z-index: 1;
}
.index-banner-list span{
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    position: relative;
}
.index-banner{
    width: 100%;
    height: calc(100% - 80px);
    display: block;
    position: relative;
}

.index-banner-slong,
.index-video-slong{
    width: 100%;
    text-align: center;
    font-size: 36px;
    color: #FFF;
    display: block;
    position: absolute;
    z-index: 9;
    top: 48%;
    text-shadow: rgba(0,0,0,0.6) 2px 2px 2px;
    cursor: context-menu;
}
.index-video-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #000;
    opacity: 0.4;
    z-index: 5;
}
.index-video-box{
    width: 100%;
    display: block;
    position: relative;
}
.index-video{
    width: 100%;
    height: 100%;
    position: relative;
    z-index: 5;
    display: block;
}

.index-video-bg{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.index-banner-slong-box{
    width: 100%;
    display: block;
    position: absolute;
    top: 48%;
    left: 0;
    z-index: 5;
    pointer-events: none;
    text-align: center;
}
.index-video-open{
    display: none;
}
.index-banner-list.current  .main-bg,
.index-banner-list.current  .index-banner-mask{
    animation: background-out 1s ease 1s 1 forwards;
}
.index-banner-list.current .index-banner-list-overhidden:nth-child(2) .main-bg,
.index-banner-list.current .index-banner-list-overhidden:nth-child(2) .index-banner-mask{
    animation: background-out 1s ease 1.1s 1 forwards;
}
.index-banner-list.current .index-banner-list-overhidden:nth-child(3) .main-bg,
.index-banner-list.current .index-banner-list-overhidden:nth-child(3) .index-banner-mask{
    animation: background-out 1s ease 1.2s 1 forwards;
}
.index-banner-list.current .index-banner-list-overhidden:nth-child(4) .main-bg,
.index-banner-list.current .index-banner-list-overhidden:nth-child(4) .index-banner-mask{
    animation: background-out 1s ease 1.3s 1 forwards;
}
.index-banner-list.current .index-banner-list-overhidden:nth-child(5) .main-bg,
.index-banner-list.current .index-banner-list-overhidden:nth-child(5) .index-banner-mask{
    animation: background-out 1s ease 1.4s 1 forwards;
}
.index-banner-list.current .index-banner-list-overhidden:nth-child(6) .main-bg,
.index-banner-list.current .index-banner-list-overhidden:nth-child(6) .index-banner-mask{
    animation: background-out 1s ease 1.5s 1 forwards;
}
.index-banner-list.current + .index-banner-list,
.index-banner-list.current2{
    animation: background-fadein 2s linear 1s 1 forwards;
}
.index-banner-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    background-color: #1e4c45;
}


@keyframes background-out{
    0% {
        transform: translateX(0);
    }

    100%{
        transform: translateX(101%);
    }
}
@keyframes background-fadein{
    0% {
        transform: scale(1.2);
    }

    100%{
        transform: scale(1);
    }
}
.index-banner-list .main-bg{
    transition: none;
}



/*過場動畫*/

.dt-loading-2 {
    width: 100%;
    height: 100vh;
    display: table;
    position: fixed;
    top: 0;
    z-index: 99999;
    transition: all .4s linear;
    background-color: #FFF;
}

.laying-2 {
   display: table-cell;
   vertical-align: middle;
}

.loading-logo-box{
    width: 154px;
    display: block;
    position: relative;
    margin: 0 auto;
    overflow: hidden;
}
.loading-log{
    width: 100%;
    display: block;
    position: relative;
 
}
.loading-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    background: #FFF;
    right: 0%;
    animation:  right2 2s linear 0s 1 forwards;

}

/*fancy-box*/

.fancybox-table{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
}
.fancybox-table.active{
    display: table;
}
.fancybox-table-mid{
    display: table-cell;
    vertical-align: middle;
}
.fancybox-box{
    width: 800px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    z-index: 3;
    padding: 25px;
    box-sizing: border-box;
    background-color: rgba(255,255,255,1);

}
.fancybox-box::-webkit-scrollbar {display:none}
.fancybox-img-all-box{
    width: 100%;
}
.fancybox-img-box{
    width: 100%;
    height: 550px;
    max-width: 100%;
    display: block;
    
}

.fancybox-info-box{
    height: 100%;

    box-sizing: border-box;
}
.fancybox-article{
    margin-bottom: 20px;
    text-align: left;
}
.fancybox-article-title{
    font-size: 26px;
    letter-spacing: 2px;
    font-weight: bold;
    color: #FFF;
    display: inline-block;
    color:#78cbbf;
}
.fancybox-article-p{
    font-size: 16px;
    display: inline-block;
    color: #000;
}

.fancybox-mask-box{
    width: 100%;
    height: 100%;
    display: block;
    background-color: rgba(0,0,0,0.7);
    position: fixed;
    top: 0;
    left: 0;
}
.fancybox-close{
    width: 40px;
    height: 40px;
    line-height: 40px;
    font-size: 20px;
    color: #000;
    text-align: center;
    position: absolute;
    top: 0;
    right: 0;
    background-color: #ddd;
    cursor: pointer;
    z-index: 3;
    transition: all .5s ease;
}
.fancybox-box .slick-prev:before,
.fancybox-box .slick-next:before{
    display: none;
}
.fancybox-box .slick-prev, 
.fancybox-box .slick-next{
    width: 30px;
    height: 30px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    z-index: 3;
    transition: all .5s ease;
}
.fancybox-box .slick-prev{
    left: -10%;
    opacity: 0.8;
    background-image: url(../img/front/arrow-left.png);
}
.fancybox-box .slick-next{
    right: -10%;
    opacity: 0.8;
    background-image: url(../img/front/arrow-right.png);
}
.fancybox-box .slick-prev:hover,
.fancybox-box .slick-next:hover{
    opacity: 1;
}
.body-close{
    overflow: hidden;

}
.body-close::-webkit-scrollbar{
    display:none;
}

.fancybox-link{
    position: fixed;
    text-align: center;
    top: calc(50% - 31px);
}
.news-prev{
    right: calc(50% + 427px);
}
.news-next{
    left: calc(50% + 427px);
}
.fancybox-link i{
    font-size: 24px;
    color: #FFF;
    display: block;
    margin-bottom: 10px;
}
.fancybox-link p{
    font-size: 18px;
    color: #FFF;
}
.fancybox-block{
    width: 100%;
    max-height: 100vh;
    overflow: auto;

}
.fancybox-block::-webkit-scrollbar{
    display:none;
}
.fancybox-close:hover{
    background-color: #78cbbf;
    color: #FFF;
}

/*----------------------------*/

.rwd-menu-class-list{
    width: 100%;
    height: 46px;
    border: 1px solid #888;
    font-size: 16px;
    letter-spacing: 1px;
    text-align: center;
    display: none;
    line-height: 46px;
    position: relative;
    box-sizing: border-box;
}
.rwd-menu-class-list:after {
    content: '';
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 10px solid transparent;
    border-top: 10px solid #888;
    border-left: 10px solid transparent;
    display: block;
    position: absolute;
    bottom: calc(50% - 5px);
    right: 5%;
    box-sizing: border-box;
}
.main-bg{
    height: 100%;
    width: 100%;
    max-width: 100%;
    display: block;
}
.index-banner-info-box{
    width: 1280px;
    max-width: 100%;
    height: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    pointer-events: none;
}


.index-banner-info-line1{
    width: 1px;
    height: 100%;
    background-color: #f5f5f5;
    opacity: 0.3;
    display: inline-block;
    position: absolute;
    left: 0%;
}
.index-banner-info-line2{
    width: 1px;
    height: 100%;
    background-color: #f5f5f5;
    opacity: 0.3;
    display: inline-block;
    position: absolute;
    left: calc(25% + 1px);
}
.index-banner-info-line3{
    width: 1px;
    height: 100%;
    background-color: #f5f5f5;
    opacity: 0.3;
    display: inline-block;
    position: absolute;
    left: calc(50% + 1px);
}
.index-banner-info-line4{
    width: 1px;
    height: 100%;
    background-color: #f5f5f5;
    opacity: 0.3;
    display: inline-block;
    position: absolute;
    left: calc(75% + 1px);
}
.index-banner-info-line5{
    width: 1px;
    height: 100%;
    background-color: #f5f5f5;
    opacity: 0.3;
    display: inline-block;
    position: absolute;
    left: calc(100% + 1px);
}
.index-banner-info-text{
    display: block;
    position: absolute;
    z-index: 99;
    color: #FFF;
    font-family: "Noto Sans TC";
    top: 48%;
    font-size: 26px;
    margin-left: 10px;
}

.index-banner-info-text1{
    display: inline-block;
    letter-spacing: 3px;
}
.index-banner-info-text2{
    display: inline-block;
}
.index-banner-info-text span{
    font-size: 14px;
    display: inline-block;
    margin: 0 6px;
}

.index-banner-mouse-img-box{
    width: 100%;
    display: block;
    z-index: 10;
    position: absolute;
    bottom: 10px;
}
.index-banner-mouse-img{
    width: 100%;
    margin-left: calc(50% - 14px);
}
.index-banner-line-box{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top:0;
    pointer-events: none;
}

.index-banner-info-line-box{
    width: calc(100% / 6 * 4);
    max-height: 100%;
    height: 100%;
    margin: 0 auto;
    display: block;
    position: relative;
    z-index: 5;
}
.banner-info-line1{
    width: 1px;
    height: 100%;
    background-color: #f5f5f5;
    opacity: 0;
    display: inline-block;
    position: absolute;
    left: 0%;
}
.banner-info-line2{
    width: 1px;
    height: 100%;
    background-color: #f5f5f5;
    opacity: 0;
    display: inline-block;
    position: absolute;
    left: calc(25% + 1px);
}
.banner-info-line3{
    width: 1px;
    height: 100%;
    background-color: #f5f5f5;
    opacity: 0;
    display: inline-block;
    position: absolute;
    left: calc(50% + 1px);
}
.banner-info-line4{
    width: 1px;
    height: 100%;
    background-color: #f5f5f5;
    opacity: 0;
    display: inline-block;
    position: absolute;
    left: calc(75% + 1px);
}
.banner-info-line5{
    width: 1px;
    height: 100%;
    background-color: #f5f5f5;
    opacity: 0;
    display: inline-block;
    position: absolute;
    left: calc(100% + 1px);
}

.index-banner-mouse-img img{
    animation: UpDown 2s ease infinite;
    transition: all 0.2s linear; 
}
.index-banner-box .main-bg{
    transform: translateX(0);
}
.index-banner-box .main-bg.mainBg{
    transform: translateX(100%);

}

/*-----------------animation----------------------*/

.banner-info-line1.active{
    animation: fadlinetopshorttolong 1s ease 0.5s both;
}
.banner-info-line2.active{
    
    animation: fadlinebottomshorttolong 1s ease 0.5s both; 
}
.banner-info-line3.active{
    animation: fadlinetopshorttolong 1s ease 0.5s both;
}
.banner-info-line4.active{
    animation: fadlinebottomshorttolong 1s ease 0.5s both;
}
.banner-info-line5.active{
    animation: fadlinetopshorttolong 1s ease  0.5s both;
}